<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html"/>
	<xsl:template match="/">
		<p>Наименование : <xsl:value-of select="Pribor/Title"/></p>
		<p>Описание : <br/><textarea readonly="1" cols="32" rows="8" ><xsl:value-of select="Pribor/Description"/></textarea></p>
		<table border="1">
		<Caption align="left">Аналоговые параметры</Caption>
		<tr>
		<td>ID</td>
		<td>Наименование</td>
		<td>Обозначение</td>
		<td>Ед.изм.</td>
		<td>Мин.</td>
		<td>Макс.</td>
		<td>Р.Мин.</td>
		<td>Р.Макс.</td>
		</tr>
			<xsl:for-each select="Pribor/Parameters/*">
			<xsl:if test="@Type='Analog'">
			<tr>
			<td><xsl:value-of select="@ID"/></td>
			<td><xsl:value-of select="./Title"/></td>
			<td><xsl:value-of select="./Title/@ShortName"/></td>
			<td><xsl:value-of select="./Title/@EI"/></td> 
			<td><xsl:value-of select="@min"/></td>
			<td><xsl:value-of select="@max"/></td>
			<td><xsl:value-of select="@wmin"/></td>
			<td><xsl:value-of select="@wmax"/></td>
			</tr>
			</xsl:if>
			</xsl:for-each>
		</table>
		<p>
		<table border="1">
		<Caption align="left">Цифровые параметры</Caption>
		<tr>
		<td>ID</td>
		<td>Наименование</td>
		<td>Разрядность</td>
		<td>Состав</td>
		</tr>
			<xsl:for-each select="Pribor/Parameters/*">
			<xsl:if test="@Type='Digital'">
			<tr>
			<td><xsl:value-of select="@ID"/></td>
			<td><xsl:value-of select="./Title"/></td>
			<td><xsl:value-of select="@Length"/></td>
			<td>
			<table>
				<xsl:for-each select="./BitList/*">
				<tr>
				<td>[<xsl:value-of select="@Position"/>]</td>
				<td><xsl:value-of select="."/></td>
				</tr>
				</xsl:for-each>
			</table>
			</td>
			</tr>
			</xsl:if>
			</xsl:for-each>
		</table>
		</p>
	</xsl:template>
</xsl:stylesheet>